import { defineComponent as m, mergeModels as d, useModel as c, onBeforeMount as p, createBlock as f, openBlock as _, unref as t, mergeProps as b, withCtx as h, createVNode as q } from "vue";
import { useI18n as v } from "vue-i18n";
import { j as V, d as g } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { D as A } from "./constants-DiSFhhBB.js";
const M = /* @__PURE__ */ m({
  __name: "ArithmeticExtension",
  props: /* @__PURE__ */ d({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {
      default: () => ({ equations: [""] })
    },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(o) {
    const e = c(o, "modelValue"), { t: u } = v();
    function l() {
      e.value.equations.push("");
    }
    function r({ rowIndex: i }) {
      e.value.equations.length > 1 ? e.value.equations.splice(i, 1) : e.value.equations = [""];
    }
    return p(() => {
      e.value.equations || (e.value.equations = [""]);
    }), (i, k) => (_(), f(t(V), b({
      data: e.value.equations
    }, t(A), {
      onCreate: l,
      onRemove: r
    }), {
      "cell-text": h(({ rowIndex: a }) => [
        q(t(g), {
          modelValue: e.value.equations[a],
          "onUpdate:modelValue": (s) => e.value.equations[a] = s,
          label: t(u)("datahub-plugin.etl.arithmetic.equation", { number: a }),
          "max-width": "567",
          "persistent-placeholder": ""
        }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
      ]),
      _: 1
    }, 16, ["data"]));
  }
});
function n(o) {
  const e = o;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            arithmetic: {
              equation: { t: 0, b: { t: 2, i: [{ t: 3, v: "Equation " }, { t: 4, k: "number" }] } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            arithmetic: {
              equation: { t: 0, b: { t: 2, i: [{ t: 3, v: "Formel " }, { t: 4, k: "number" }] } }
            }
          }
        }
      }
    }
  });
}
typeof n == "function" && n(M);
export {
  M as default
};
